### Method

# FwupdPlugin Device remove_private_flag

since: 1.6.2

#### Declaration [src]

    void
    fu_device_remove_private_flag (
      FuDevice* self,
      const gchar* flag
    )

#### Description [src]

Removes a private flag that can be used by the plugin for any purpose.

Available since: 1.6.2

#### Parameters

`flag`

  Type: `const gchar*`

  A device flag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.